Package com.databricks.jdbc.telemetry

## Class TelemetryClientFactory

- java.lang.Object
- - com.databricks.jdbc.telemetry.TelemetryClientFactory

    public class TelemetryClientFactory
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `closeTelemetryClient​(IDatabricksConnectionContext connectionContext)`
`static TelemetryClientFactory` `getInstance()`
`ITelemetryClient` `getTelemetryClient​(IDatabricksConnectionContext connectionContext, com.databricks.sdk.core.DatabricksConfig databricksConfig)`
`ExecutorService` `getTelemetryExecutorService()`
`ITelemetryClient` `getUnauthenticatedTelemetryClient​(IDatabricksConnectionContext connectionContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static TelemetryClientFactory getInstance()

#### getTelemetryClient

    public ITelemetryClient getTelemetryClient​(IDatabricksConnectionContext connectionContext,
                                               com.databricks.sdk.core.DatabricksConfig databricksConfig)

#### getUnauthenticatedTelemetryClient

    public ITelemetryClient getUnauthenticatedTelemetryClient​(IDatabricksConnectionContext connectionContext)

#### closeTelemetryClient

    public void closeTelemetryClient​(IDatabricksConnectionContext connectionContext)

#### getTelemetryExecutorService

    public ExecutorService getTelemetryExecutorService()